'''
Klasa reprezentujaca polaczenie (relacje) w Slowosieci miedzy para synsetow
Przechowuje informacje o numerach synsetow oraz o czesciach mowy tych synsetow
'''

class WnRelation:
	def __init__(self, parent_id, parent_pos, child_id, child_pos):
		# parent sysnset
		self.parent_id  = parent_id
		self.parent_pos = parent_pos
		# child synset
		self.child_id  = child_id
		self.child_pos = child_pos
	
	def parent_pos_str(self):
		return self.__intpos2strpos(self.parent_pos)
	
	def child_pos_str(self):
		return self.__intpos2strpos(self.child_pos)

	def __intpos2strpos(self, intpos):
		if intpos == 1:
			return 'v'
		if intpos == 2:
			return 'n'
		if intpos == 4:
			return 'a'
		else:
			return None
